Debian Bug report logs - #171583
tset always displays current kill and interrupt characters

version graph

Package: ncurses-bin; Maintainer for ncurses-bin is Craig Small <csmall@debian.org>; Source for ncurses-bin is src:ncurses.

Reported by: Reinhard Mueller <reinhard.mueller@bytewise.at>

Date: Tue, 3 Dec 2002 15:03:01 UTC

Severity: minor

Found in version 5.2.20020112a-7

Fixed in version ncurses/5.3.20021109-2

Done: Daniel Jacobowitz <dan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>, ncurses@packages.qa.debian.org:
Bug#171583; Package ncurses-bin. Full text and rfc822 format available.

Acknowledgement sent to Reinhard Mueller <reinhard.mueller@bytewise.at>:
New Bug report received and forwarded. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>, ncurses@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Reinhard Mueller <reinhard.mueller@bytewise.at>
To: submit@bugs.debian.org
Subject: tset always displays current kill and interrupt characters
Date: 03 Dec 2002 15:51:45 +0100
Package: ncurses-bin
Version: 5.2.20020112a-7
Severity: minor

Example:

reinhard@london:~$ tset
Kill is control-U (^U).                                                 
Interrupt is control-C (^C).
reinhard@london:~$ 

As kill is set to it's default value (control-U), it should not be
displayed (according to the manual page of tset).

Probably a typo in tset.c:
#ifdef TERMIOS
        if (!quiet) {
            report("Erase", VERASE, CERASE);
            report("Kill", VKILL, CINTR);
            report("Interrupt", VINTR, CKILL);
        }
#endif
seems to have CINTR and CKILL accidentally swapped.

Reinhard




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>, ncurses@packages.qa.debian.org:
Bug#171583; Package ncurses-bin. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>, ncurses@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@herndon4.his.com>
To: Reinhard Mueller <reinhard.mueller@bytewise.at>, 171583@bugs.debian.org
Cc: submit@bugs.debian.org
Subject: Re: Bug#171583: tset always displays current kill and interrupt characters
Date: Tue, 3 Dec 2002 15:01:31 -0500
[Message part 1 (text/plain, inline)]
On Tue, Dec 03, 2002 at 03:51:45PM +0100, Reinhard Mueller wrote:
> Package: ncurses-bin
> Version: 5.2.20020112a-7
> Severity: minor
> 
> Example:
> 
> reinhard@london:~$ tset
> Kill is control-U (^U).                                                 
> Interrupt is control-C (^C).
> reinhard@london:~$ 
> 
> As kill is set to it's default value (control-U), it should not be
> displayed (according to the manual page of tset).

odd - the code's been like that 5-6 years:

       Once the terminfo entry is  retrieved,  the  window  size,
       backspace,  interrupt and line kill characters (among many
       other things) are set and the terminal and tab initializa-
       tion  strings  are  sent  to  the  standard  error output.
       Finally, if the erase, interrupt and line kill  characters
       have  changed,  or  are  not  set to their default values,
       their values are displayed to the standard error output.

> Probably a typo in tset.c:
> #ifdef TERMIOS
>         if (!quiet) {
>             report("Erase", VERASE, CERASE);
>             report("Kill", VKILL, CINTR);
>             report("Interrupt", VINTR, CKILL);
>         }
> #endif
> seems to have CINTR and CKILL accidentally swapped.

I'm not sure (mnemonics can be confusing).
A quick check shows it's consistent with stty (typescript attached).

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[typescript (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>, ncurses@packages.qa.debian.org:
Bug#171583; Package ncurses-bin. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>, ncurses@packages.qa.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>, ncurses@packages.qa.debian.org:
Bug#171583; Package ncurses-bin. Full text and rfc822 format available.

Acknowledgement sent to Daniel Jacobowitz <dan@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>, ncurses@packages.qa.debian.org. Full text and rfc822 format available.

Message #20 received at 171583@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: dickey@herndon4.his.com, 171583@bugs.debian.org
Subject: Re: Bug#171583: tset always displays current kill and interrupt characters
Date: Tue, 3 Dec 2002 15:15:55 -0500
On Tue, Dec 03, 2002 at 03:01:31PM -0500, Thomas E. Dickey wrote:
> On Tue, Dec 03, 2002 at 03:51:45PM +0100, Reinhard Mueller wrote:
> > Package: ncurses-bin
> > Version: 5.2.20020112a-7
> > Severity: minor
> > 
> > Example:
> > 
> > reinhard@london:~$ tset
> > Kill is control-U (^U).                                                 
> > Interrupt is control-C (^C).
> > reinhard@london:~$ 
> > 
> > As kill is set to it's default value (control-U), it should not be
> > displayed (according to the manual page of tset).
> 
> odd - the code's been like that 5-6 years:
> 
>        Once the terminfo entry is  retrieved,  the  window  size,
>        backspace,  interrupt and line kill characters (among many
>        other things) are set and the terminal and tab initializa-
>        tion  strings  are  sent  to  the  standard  error output.
>        Finally, if the erase, interrupt and line kill  characters
>        have  changed,  or  are  not  set to their default values,
>        their values are displayed to the standard error output.
> 
> > Probably a typo in tset.c:
> > #ifdef TERMIOS
> >         if (!quiet) {
> >             report("Erase", VERASE, CERASE);
> >             report("Kill", VKILL, CINTR);
> >             report("Interrupt", VINTR, CKILL);
> >         }
> > #endif
> > seems to have CINTR and CKILL accidentally swapped.
> 
> I'm not sure (mnemonics can be confusing).
> A quick check shows it's consistent with stty (typescript attached).

That's because VKILL is in the right place.  But CKILL isn't. 
Shouldn't it be:
  report ("Kill", VKILL, CKILL);
?


-- 
Daniel Jacobowitz
MontaVista Software                         Debian GNU/Linux Developer



Reply sent to Daniel Jacobowitz <dan@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Reinhard Mueller <reinhard.mueller@bytewise.at>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 171583-close@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: 171583-close@bugs.debian.org
Subject: Bug#171583: fixed in ncurses 5.3.20021109-2
Date: Wed, 04 Dec 2002 10:17:59 -0500
We believe that the bug you reported is fixed in the latest version of
ncurses, which is due to be installed in the Debian FTP archive:

libncurses5-dbg_5.3.20021109-2_i386.deb
  to pool/main/n/ncurses/libncurses5-dbg_5.3.20021109-2_i386.deb
libncurses5-dev_5.3.20021109-2_i386.deb
  to pool/main/n/ncurses/libncurses5-dev_5.3.20021109-2_i386.deb
libncurses5_5.3.20021109-2_i386.deb
  to pool/main/n/ncurses/libncurses5_5.3.20021109-2_i386.deb
libncursesw5-dbg_5.3.20021109-2_i386.deb
  to pool/main/n/ncurses/libncursesw5-dbg_5.3.20021109-2_i386.deb
libncursesw5-dev_5.3.20021109-2_i386.deb
  to pool/main/n/ncurses/libncursesw5-dev_5.3.20021109-2_i386.deb
libncursesw5_5.3.20021109-2_i386.deb
  to pool/main/n/ncurses/libncursesw5_5.3.20021109-2_i386.deb
ncurses-base_5.3.20021109-2_all.deb
  to pool/main/n/ncurses/ncurses-base_5.3.20021109-2_all.deb
ncurses-bin_5.3.20021109-2_i386.deb
  to pool/main/n/ncurses/ncurses-bin_5.3.20021109-2_i386.deb
ncurses-term_5.3.20021109-2_all.deb
  to pool/main/n/ncurses/ncurses-term_5.3.20021109-2_all.deb
ncurses_5.3.20021109-2.diff.gz
  to pool/main/n/ncurses/ncurses_5.3.20021109-2.diff.gz
ncurses_5.3.20021109-2.dsc
  to pool/main/n/ncurses/ncurses_5.3.20021109-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 171583@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Jacobowitz <dan@debian.org> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed,  4 Dec 2002 09:45:43 -0500
Source: ncurses
Binary: ncurses-base libncursesw5-dev libncursesw5-dbg ncurses-bin libncurses5 libncursesw5 libncurses5-dev ncurses-term libncurses5-dbg
Architecture: source i386 all
Version: 5.3.20021109-2
Distribution: unstable
Urgency: low
Maintainer: Daniel Jacobowitz <ncurses-maint@debian.org>
Changed-By: Daniel Jacobowitz <dan@debian.org>
Description: 
 libncurses5 - Shared libraries for terminal handling
 libncurses5-dbg - Debugging/profiling libraries for ncurses
 libncurses5-dev - Developer's libraries and docs for ncurses
 libncursesw5 - Shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - Debugging/profiling libraries for ncurses
 libncursesw5-dev - Developer's libraries and docs for ncursesw
 ncurses-base - Descriptions of common terminal types
 ncurses-bin - Terminal-related programs and man pages
 ncurses-term - Additional terminal type definitions
Closes: 165222 171583
Changes: 
 ncurses (5.3.20021109-2) unstable; urgency=low
 .
   * Update screen terminfo entry (Closes: #165222).
   * Fix a typo in tset (Closes: #171583).
Files: 
 9cf91de0678b49faa0fb37d3c941f9de 725 libs standard ncurses_5.3.20021109-2.dsc
 0c531530e3d4a5e1cc34fc7cb7b97223 25588 libs standard ncurses_5.3.20021109-2.diff.gz
 95ea27639dbaf29a016170be429696b4 249190 base required libncurses5_5.3.20021109-2_i386.deb
 92f85ca9df900a1ca6adbf8d0028e6d1 1031294 devel optional libncurses5-dev_5.3.20021109-2_i386.deb
 b24302eb399e8d9d738b5d67201794a2 328292 devel extra libncurses5-dbg_5.3.20021109-2_i386.deb
 730cb15746fe59b7d927ce5899213049 258916 libs optional libncursesw5_5.3.20021109-2_i386.deb
 0d619239af98a2f869addaa6eda7d1e2 393036 devel optional libncursesw5-dev_5.3.20021109-2_i386.deb
 785897d8534f9ed0a2fad3d9f1ea7181 351296 devel extra libncursesw5-dbg_5.3.20021109-2_i386.deb
 a075abac8893f09def026fc1982eccaa 196984 base required ncurses-bin_5.3.20021109-2_i386.deb
 6bab0fd9985472b077ea4b19a9df15ea 9530 base required ncurses-base_5.3.20021109-2_all.deb
 b14e5ab6818652fdc3dab93f756dd1e9 302790 admin standard ncurses-term_5.3.20021109-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iD8DBQE97hmebgOPXuCjg3cRAutNAJ9YWA4u71bUmiq769dq4lHpdKtiuACbBNF9
8a3VmKgf5306OvPjr07V1Rw=
=oSw3
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:31:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.